/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup;

import java.rmi.*;

import jgroup.reference.*;


/**
 * In Jgroup, an <i>external remote interface</i> is an interface that
 * declares a set of method implemented by an object group that may be
 * invoked from a remote Java virtual machine. An external remote interface must
 * satisfy the following conditions:
 *
 * <UL>
 * <LI>An external remote interface must at least extend, either directly
 * or indirectly, the interface <tt>ExternalGMIListener</tt>. </LI>
 * <LI>Each remote method declaration in the external remote interface
 * must include the exception <tt>java.rmi.RemoteException</tt> in its
 * <i>throws</i> clause, in addition to any application-specific exceptions
 * (note that application-specific exceptions do not have to extend
 * <tt>java.rmi.RemoteException</tt>). </LI>
 * </UL>
 *
 * The <tt>ExternalGMIListener</tt> is a marker interface that declares
 * no methods.
 *
 *  @author Alberto Montresor
 *  @since    Jgroup 0.9
 */
public interface  ExternalGMIListener
extends           Listener, Remote
{
}
