/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup;

/**
 * This exception is thrown when some exceptional error prevents
 * the construction of a group manager satisfying the set of
 * listener interfaces implemented by the application server.
 *
 * @author      Alberto Montresor
 * @since       Jgroup 0.9
 */
public class  MalformedLayerException
extends       JgroupException
{

  /**
   * Constructs a <code> JgroupExeception</code> with no detail message.
   */
  public MalformedLayerException()
  {
    super("Jgroup exception");
  }

  /**
   * Constructs a <code> JgroupExeception</code> with the specified message.
   * @param     s       detailed message.
   */
  public MalformedLayerException(String s)
  {
    super("Jgroup exception:" + s);
  }

} // END JgroupException
