/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup;

import java.rmi.*;

/**
 * Marker exception used by Jgroup to distinguish external
 * group method invocations with multicast semantics.
 *
 * @author      Alberto Montresor
 * @since       Jgroup 0.8
 */
public class McastRemoteException
extends RemoteException
{

  /**
   * Constructs a <code> McastRemoteException</code> with no detail message.
   */
  public McastRemoteException()
  {
    this("");
  }

  /**
   * Constructs a <code> McastRemoteException</code> with the specified message.
   * @param     s       detailed message.
   */
  public McastRemoteException(String s)
  {
    super("Remote exception thrown by a multicast method: " +s);
  }

} // END McastRemoteException
