/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.daemon;

import java.io.IOException;
import relacs.mss.*;

/**
 * The <code> Host</code> class
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.3
 */
public class    Host
extends         MssHost
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Additional fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  MssHost[]             symset;         // Symmetry set
  Group                 grouplist;      // List of groups in which a host is interested

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   * Builds an host identified by <code> name <\code>.
   *
   * @param     name    host name
   */
  public Host(String name)
        throws IOException
  {
    super(name);
    symset = new MssHost[1];
    symset[0] = this;
    grouplist = new Group();
  }

} // END Host
