/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.daemon;

import jgroup.*;

import relacs.general.*;
import relacs.gm.*;

/**
 * The <code> MemberData</code> class
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.1
 */
final class     MemberData
extends         OrderedList
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  BaseLayer     layer;                  // Reference to corresponding member
  boolean       leaving;                // True if the process is leaving
  int           last;                   // Version n. when last view has been installed
  int           lastack;                // Last version number acknowledged

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  /*
   * Creates an empty MemberData list.
   */
  MemberData()
  {
  }

  /**
   *
   */
  MemberData(int lid, BaseLayer layer)
  {
    super();
    this.key = lid;
    this.layer = layer;
    this.leaving = false;
    this.last = 0;
  }

} // END MemberData

