/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.general;

/**
 * The <code> LinkedList</code> class represents an
 *
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.2
 */
public final class LinkedList
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  private Object        obj;            // The contents of this element
  private LinkedList    next;           // Next element of the list

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  public LinkedList()
  {
  }

  public LinkedList(Object obj, LinkedList next)
  {
    this.obj  = obj;
    this.next = next;
  }


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Methods
  ////////////////////////////////////////////////////////////////////////////////////////////

  public LinkedList insert(Object obj)
  {
    LinkedList  entry;

    entry       = new LinkedList();
    entry.next  = this.next;
    entry.obj   = obj;
    this.next   = entry;

    return entry;
  }

  public void remove(Object obj)
  {
    LinkedList  scan;

    scan = this;
    while (scan.next != null && scan.next.obj.equals(obj))
      scan = scan.next;
    if (scan.next != null)
      scan.next = scan.next.next;
  }

  public LinkedList next()
  {
    return next;
  }

  public boolean hasNext()
  {
    return (next != null);
  }

  public Object getObj()
  {
    return obj;
  }

  public void setObj(Object obj)
  {
    this.obj = obj;
  }

  public LinkedList getFirst()
  {
    return next;
  }

  public boolean isEmpty()
  {
    return (next == null);
  }

  public void clear()
  {
    next = null;
  }

} // END LinkedList
