/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.mss;

/**
 * The <code> MssTag </code> interface contains the tags used by the Mss.
 *
 * @author  Alberto Montresor
 * @author  Salvatore Cammarrata
 * @since   Jgroup 0.1
 */
interface MssTag {

  // Tags used to identify timeouts

  /** Routing timeout tag */
  public static final int RT_TIMEOUT    = 1;

  /** Nack timeout tag */ //sax
  public static final int NACK_TIMEOUT = 2;  //sax

  // Tags used to identify messages

  /** Nacknowledgment message */            //sax
  public static final byte MSS_NACK  = -4;  //sax

  /** Routing table msg */
  public static final byte MSS_RT       = -3;

  /** Synchro msg after failures */
  public static final byte MSS_SYNCH    = -2;

  /** Non-ending message */
  public static final byte MSS_MESSAGE  = -1;

} // END MssTag
