/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.rmi;

import java.io.*;
import java.lang.reflect.*;

import relacs.rmi.proxy.*;


/**
 *  This class implements interface <tt>java.lang.reflect.InvocationHandler</tt>, which
 *  contains the same method definitions of <tt>relacs.rmi.proxy.JgroupHandler</tt>.
 *  It is the 1.3 version of class ExtGroupHandler2.  If dynamic proxy classes are present,
 *  class <tt>relacs.rmi.Exporter</tt> uses dynamic proxy classes to create a stub
 *  for the object at run-time, using this invocation handler. Otherwise, it uses
 *  stubs generated at compile time.
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.9
 */
public class ExtGroupHandler3
extends ExtGroupHandler2
implements InvocationHandler, Externalizable
{


  /**
   *  Write the content of this ExtGroupHandler3 on stream <tt>out</tt>.
   */
  public ExtGroupHandler3()
  {
  }

    
  /**
   *  Write the content of this ExtGroupHandler3 on stream <tt>out</tt>.
   */
  public void writeExternal(ObjectOutput out)
    throws IOException
  {
    super.writeExternal(out);
  }

  /**
   *  Read the content of this ExtGroupHandler3 from stream <tt>in</tt>.
   */
  public void readExternal(ObjectInput in)
    throws IOException, ClassNotFoundException
  {
    super.readExternal(in);
  }

} // END ExtGroupHandler3
