/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.rmi.registry;

import java.rmi.Remote;
import java.io.*;


import relacs.general.OrderedList;

/**
 *
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.4
 */
public final class  BindingList
extends             OrderedList
implements          Externalizable
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  String        servicename;
  Remote        remote;
  Class         serverClass;

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  public BindingList()
  {
  }


  BindingList(int key, String servicename, Remote remote, Class serverClass)
  {
    this.key          = key;
    this.servicename  = servicename;
    this.remote       = remote;
    this.serverClass  = serverClass;
  }


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Externalization
  ////////////////////////////////////////////////////////////////////////////////////////////

  public void writeExternal(ObjectOutput out)
        throws IOException
  {
    out.writeInt(key);
    out.writeUTF(servicename);
    out.writeObject(remote);
    out.writeObject(serverClass);
  }

  public void readExternal(ObjectInput in)
        throws IOException, ClassNotFoundException
  {
    key         = in.readInt();
    servicename = in.readUTF();
    remote      = (Remote) in.readObject();
    serverClass = (Class) in.readObject();
  }

} // END BindingList
