/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.simulator;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.net.InetAddress;
import java.io.BufferedReader;
import java.io.FileReader;

import jgroup.DistributedSystem;
import java.rmi.registry.Registry;
import java.rmi.registry.LocateRegistry;

/**
*
*  @author  Alberto Montresor
*  @since   Jgroup 0.5
*/
public class    Simulator
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constants
  ////////////////////////////////////////////////////////////////////////////////////////////


  public static void main(String[] argv)
  {
    BufferedReader      in;
    int                 start;
    int                 stop;
    String              line;
    InetAddress         inet;
    int                 prob;
    Registry            reg;
    SocketStatus        status;

    try {
      if (argv.length == 0)
        throw new IllegalArgumentException("Wrong number of arguments");
      in = new BufferedReader(new FileReader(argv[0]));
      while ((line = in.readLine()) != null) {
        start = 0;
        stop = line.indexOf(" ", start); stop = (stop >= 0 ? stop : line.length());
        System.out.print(line.substring(start, stop)+": ");
        try {
          reg = LocateRegistry.getRegistry(line.substring(start, stop), Registry.REGISTRY_PORT+1);
          status = (SocketStatus) reg.lookup("SocketStatus");
          while (stop < line.length()) {
            start = stop+1;
            stop  = line.indexOf(" ", start); stop = (stop >= 0 ? stop : line.length());
            inet  = InetAddress.getByName(line.substring(start, stop));
            start = stop+1;
            stop  = line.indexOf(" ", start); stop = (stop >= 0 ? stop : line.length());
            prob  = Integer.parseInt(line.substring(start, stop));
            status.setStatus(inet, prob);
            System.out.println(" Executed");
          }
        } catch (java.lang.Exception e) {
          System.out.println(" Not executed: "+e.getMessage());
        }
      }
    } catch (IllegalArgumentException e) {
      System.out.println(e.getMessage());
      System.out.println("Usage: simulator <partition-file>");
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
}





