/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package test.performance;

import java.rmi.*;

/**
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.x
 */
public interface Executor
extends Remote
{

  /**
   * Instantiate a server object
   */
  public Object start(Class c, Object[] args)
    throws RemoteException, Exception;

  /**
   * Stop the execution service
   */
  public void halt()
    throws RemoteException, Exception;

  /**
   * Stop and remove a remote object
   */
  public void halt(Object id)
    throws RemoteException, Exception;

  /**
   * Removes each of service currently active
   */
  public void clear()
    throws RemoteException, Exception;

} // END Exec
